【Homebrew】アップデートしたら homebrew-core is a shallow clone. が出た

久々に Homebrew をアップデートしようとしたら、homebrew-core is a shallow clone. ってエラーが出てナニコレ状態だったので、解消方法を記載。

エラー内容

brew update をぶち込んだときのエラー内容をお送ります ( ̄・ω・ ̄)

つらつら英文垂れ流されて眠くなりますねー

解消方法

英文の冒頭に homebrew-core is a shallow clone. To brew update first run ってあります。
homebrew-core は shallow clone です。brew update よりも先に、下記を行ってくださいって言っとりますね。
その下記を以下に貼っておきます。

ちなみに、shallow clone ってのは最新のコミット履歴のみを取得して、高速に clone を行う Git の機能です。
この1行やるだけで解決します。私は今回初めて使いました。笑

さいごに

Homebrew あまり使わないので、エラーが出たとき「めんどくせぇ…」ってなりました。
ワンパンだったのでいいですけど。

コメント